## dscan 0.1.5

=== Makefile ===
PROJECT_PATH=./tests

help:
	@echo "    clean-pyc"
	@echo "        Remove python artifacts."
	@echo "    clean-build"
	@echo "        Remove build artifacts."
	@echo "    isort"
	@echo "        Sort import statements."
	@echo "    lint"
	@echo "        Fix pep8 style with autopep8."
	@echo "        Check style with flake8."
	@echo "    test"
	@echo "        run tests with unittest."
	@echo "    init."
	@echo "        install requirements."

init:
	pip install -r requirements.txt

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

clean-build:
	rm -rf build/
	rm -rf dist/
	rm -rf docs/_build
	rm -rf *.egg-info

isort:
	isort $(PROJECT_PATH)

lint: isort
	autopep8 --verbose --recursive --in-place --aggressive $(PROJECT_PATH)
	#flake8  $(PROJECT_PATH)

test: lint
	python3 -m unittest discover -s $(PROJECT_PATH)

docs: clean-build
	cd docs && make html

upload: clean-build
	python3 setup.py sdist bdist_wheel
	python3 -m twine upload --repository pypi dist/*

.PHONY: clean-pyc clean-build

=== requirements.txt ===
python-libnmap==0.7.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = dscan
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
dscan (0.1.5-0kali1) kali-dev; urgency=medium

  * Initial release (see 6981)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 14 Sep 2021 10:55:08 +0200

=== debian/control ===
Source: dscan
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, python3-sphinx, python3-libnmap
Standards-Version: 4.6.0
Homepage: https://github.com/0x4E0x650x6F/dscan
Vcs-Browser: https://gitlab.com/kalilinux/packages/dscan
Vcs-Git: https://gitlab.com/kalilinux/packages/dscan.git
Rules-Requires-Root: no

Package: dscan
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: dscan-doc
Description: wrapper around nmap
 This package provides a wrapper around nmap, and distribute scans across
 several hosts.
 It aggregates / splits address ranges, uses a configuration file where scan
 configuration can be adjusted, supports resume.

Package: dscan-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: wrapper around nmap (documentation)
 This package provides a wrapper around nmap, and distribute scans across
 several hosts.
 It aggregates / splits address ranges, uses a configuration file where scan
 configuration can be adjusted, supports resume.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html

=== debian/tests/control ===
Test-Command: dscan -h
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dscan-$1.tar.gz%" \
   https://github.com/0x4E0x650x6F/dscan/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
